Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface Translation

All Superinterfaces:
  Accessioned, Persistent, java.io.Serializable

public interface Translation
extends Accessioned

Translation.

Method Summary
`void` | `addAttribute(Attribute attribute)` Add attribute.
`Location` | `getAminoAcidStart(int aminoAcidPosition)`
`java.util.List` | `getAttributes()` Return all attributes associated witht this translation.
`java.util.List` | `getAttributes(java.lang.String code)` Return all Attributes where attribute.code==code.
`Location` | `getCodingLocation()` Concation of the coding part of the coding exons.
`java.util.List` | `getCodingLocations()` Returns a list of coding locations where each corresponds to the coding part of a coding exon.
`Exon` | `getEndExon()`
`long` | `getEndExonInternalID()` Returns endExon internal id.
`java.util.List` | `getExternalRefs()` References to external databases
`java.util.List` | `getFivePrimeUTR()`
`java.lang.String[]` | `getInterproIDs()` Interpro IDs associated with this translation.
`java.lang.String` | `getPeptide()` Peptide sequence corresponding to the dna sequence returned by getSequence() with or without sequence edits applied.
`int` | `getPositionInEndExon()`
`int` | `getPositionInStartExon()`
`java.util.List` | `getProteinFeatures()` Get ProteinFeatures associated with this translation.
`Sequence` | `getSequence()` Concatenatation of all exon sequences excluding the UTRs.
`java.util.List` | `getSequenceEdits()` Sequence edits for this translation.
`java.util.List` | `getSimilarityFeatures()`
`Exon` | `getStartExon()`
`long` | `getStartExonInternalID()` Returns startExon internal id.
`java.util.List` | `getThreePrimeUTR()`
`Transcript` | `getTranscript()`
`long` | `getTranscriptInternalID()` Returns transcript internal id.
`boolean` | `isKnown()` Whether this is a known translation.
`boolean` | `removeAttribute(Attribute attribute)` Remove attribute if present in attributes.
`void` | `setEndExon(Exon exon)`
`void` | `setEndExonInternalID(long internalID)` Returns endExon internal id.
`void` | `setExternalRefs(java.util.List externalRefs)`
`void` | `setInterproIDs(java.lang.String[] strings)` Interpro IDs associated with this translation.
`void` | `setKnown(boolean v)` Sets whether this is a known translation.
`void` | `setPeptide(java.lang.String peptide)`
`void` | `setPositionInEndExon(int position)`
`void` | `setPositionInStartExon(int position)`
`void` | `setSequence(Sequence sequence)`
`void` | `setStartExon(Exon exon)`
`void` | `setStartExonInternalID(long internalID)` Sets startExon internal id, also sets the startExon.internalID if startExon is available.
`void` | `setTranscript(Transcript transcript)`
`void` | `setTranscriptInternalID(long internalID)` Sets transcript internal id, also sets the transcript.internalID if transcript is available.

Methods inherited from interface org.ensembl.datamodel.Accessioned
`getAccessionID, getCreatedDate, getModifiedDate, getVersion, setAccessionID, setCreatedDate, setModifiedDate, setVersion`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Method Detail

### getStartExon

    public Exon getStartExon()

### setStartExon

    public void setStartExon(Exon exon)

### getStartExonInternalID

    public long getStartExonInternalID()

  Returns startExon internal id. This is the same as startExon.internalID if startExon is available.

  Returns:
    internalID of the startExon.

### setStartExonInternalID

    public void setStartExonInternalID(long internalID)

  Sets startExon internal id, also sets the startExon.internalID if startExon is available.

### getPositionInStartExon

    public int getPositionInStartExon()

### setPositionInStartExon

    public void setPositionInStartExon(int position)

### getEndExon

    public Exon getEndExon()

### setEndExon

    public void setEndExon(Exon exon)

### setEndExonInternalID

    public void setEndExonInternalID(long internalID)

  Returns endExon internal id. This is the same as endExon.internalID if endExon is available.

  Returns:
    internalID of the endExon.

### getEndExonInternalID

    public long getEndExonInternalID()

  Returns endExon internal id. This is the same as endExon.internalID if endExon is available.

  Returns:
    internalID of the endExon.

### getPositionInEndExon

    public int getPositionInEndExon()

### setPositionInEndExon

    public void setPositionInEndExon(int position)

### setTranscript

    public void setTranscript(Transcript transcript)

### getTranscript

    public Transcript getTranscript()

### getTranscriptInternalID

    public long getTranscriptInternalID()

  Returns transcript internal id. This is the same as transcript.internalID if transcript is available.

  Returns:
    internalID of the transcript.

### setTranscriptInternalID

    public void setTranscriptInternalID(long internalID)

  Sets transcript internal id, also sets the transcript.internalID if transcript is available.

### getSimilarityFeatures

    public java.util.List getSimilarityFeatures()

### getExternalRefs

    public java.util.List getExternalRefs()

  References to external databases

  Returns:
    list of ExternalRef objects

### setExternalRefs

    public void setExternalRefs(java.util.List externalRefs)

### getSequence

    public Sequence getSequence()

  Concatenatation of all exon sequences excluding the UTRs.

  In the case of "monkey exons", where the phases of consecutive exons are incompatible, Ns are inserted. This padding ensures the previous exon ends with a complete codon and the next exon begins with a complete codon. The table below shows the cases where padding is added and the number of Ns inserted. key: 'p' is a base in the previous exon, 'n' is a base in the next exon.

       end_phase phase padding

       0         0
       0         1     N
       0         2     NN
       0         -1

       1         0     NN
       1         1
       1         2     NNNN
       1         -1

       2         0     N
       2         1     NN
       2         2
       2         -1

       -1         0
       -1         1
       -1         2
       -1         -1

  Returns:
    sequence if available, otherwise null.

### setSequence

    public void setSequence(Sequence sequence)

### getCodingLocations

    public java.util.List getCodingLocations()

  Returns a list of coding locations where each corresponds to the coding part of a coding exon. Like getCodingLocation() but returns a list of locations where each element corresponds to an exon.

  Returns:
    list of locations where each location corresponds to the coding part of an exon.
  See Also:
    `getCodingLocation()`

### getCodingLocation

    public Location getCodingLocation()

  Concation of the coding part of the coding exons. Like getCodingLocations() but returns a single, concatenated, location.

  Returns:
    single location consisting of a concatenation of the coding parts of the coding exons.
  See Also:
    `getCodingLocations()`

### getThreePrimeUTR

    public java.util.List getThreePrimeUTR()

  Returns:
    list of UTR locations at end of translation, or null if not available.

### getFivePrimeUTR

    public java.util.List getFivePrimeUTR()

  Returns:
    list of UTR locations before translation, list is empty if unavailable.

### getAminoAcidStart

    public Location getAminoAcidStart(int aminoAcidPosition)

### getPeptide

    public java.lang.String getPeptide()

  Peptide sequence corresponding to the dna sequence returned by getSequence() with or without sequence edits applied. Applies edits if transcript.isSequenceEditsEnabled().

  See Also:
    `Transcript.isSequenceEditsEnabled()`

### setPeptide

    public void setPeptide(java.lang.String peptide)

### getSequenceEdits

    public java.util.List getSequenceEdits()

  Sequence edits for this translation. Edits do not exist for all translations.

  Returns:
    list of zero or more SequenceEdits.
  See Also:
    `SequenceEdit`

### getAttributes

    public java.util.List getAttributes()

  Return all attributes associated witht this translation.

  Returns:
    zero or more Attributes associated with this translation.
  See Also:
    `Attribute`

### getAttributes

    public java.util.List getAttributes(java.lang.String code)

  Return all Attributes where attribute.code==code.

  Parameters:
    `code` - code to filter attributes against.
  Returns:
    zero or more attributes.
  See Also:
    `Attribute`

### addAttribute

    public void addAttribute(Attribute attribute)

  Add attribute.

  Parameters:
    `attribute` - attribute to add to attributes.

### removeAttribute

    public boolean removeAttribute(Attribute attribute)

  Remove attribute if present in attributes.

  Parameters:
    `attribute` - attribute to be removed.
  Returns:
    true if attribute was removed, otherwise false.

### setKnown

    public void setKnown(boolean v)

  Sets whether this is a known translation.

  Parameters:
    `v` - Value to assign to known.

### isKnown

    public boolean isKnown()

  Whether this is a known translation.

  Returns:
    value of known.

### getInterproIDs

    public java.lang.String[] getInterproIDs()
                                      throws AdaptorException

  Interpro IDs associated with this translation.

  Returns:
    array of zero or more interpro IDs.
  Throws:
    `AdaptorException` - if a problem occurs retrieving the IDs from the database.

### setInterproIDs

    public void setInterproIDs(java.lang.String[] strings)

  Interpro IDs associated with this translation.

  Parameters:
    `strings` - Interpro IDs associated with this translation, empty array if none are associated.

### getProteinFeatures

    public java.util.List getProteinFeatures()

  Get ProteinFeatures associated with this translation.

  Returns:
    zero or more ProteinFeatures associated with this translation.
  See Also:
    `ProteinFeature`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD